Search found 610 matches

by Dzien Dobry
Tue Jan 27, 2015 4:57 pm
Forum: [3.0.x] Support Forum
Topic: The Trailing Path Exploitation
Replies: 3
Views: 236

The Trailing Path Exploitation

I just now successfully updated my board from 3.0.11 to 3.1.2. I should have been more prompt in updating because the control panel at my website shows 323 hits to the file: forum/ucp.php/trackback/ but I see no such file there. The clincher was reading this alarming paragraph in today’s update noti...
by Dzien Dobry
Tue Jan 27, 2015 2:42 pm
Forum: [3.0.x] Support Forum
Topic: How do I update from 3.0.11?
Replies: 5
Views: 162

Which options do I select to backup the database?

Thanks but Which options do I select to backup the database?
by Dzien Dobry
Tue Jan 27, 2015 1:52 pm
Forum: [3.0.x] Support Forum
Topic: How do I update from 3.0.11?
Replies: 5
Views: 162

Re: How do I update from 3.0.11?

I don't have any modifications. Which options do I select to backup the database?
by Dzien Dobry
Tue Jan 27, 2015 1:44 pm
Forum: [3.0.x] Support Forum
Topic: How do I update from 3.0.11?
Replies: 5
Views: 162

How do I update from 3.0.11?

I haven't updated since 3.0.11 and forgot everything I knew. How do I update from 3.0.11? I'm looking for the 3.0.11 to 3.0.13 package. Or can I update directly to 3.1?
by Dzien Dobry
Mon Jun 17, 2013 1:09 pm
Forum: [3.0.x] Support Forum
Topic: Latest version not accurate.
Replies: 28
Views: 3479

Re: Latest version not accurate.

Thank you, I ran the script, although I had guess from which directory. I placed the file test.php in my root directory, even though my forum is in a subdirectory.

The output of the test was

Code: Select all

string(68) "3.0.11 https://www.phpbb.com/community/viewtopic.php?f=14&t=2161321 "
by Dzien Dobry
Mon Jun 17, 2013 11:04 am
Forum: [3.0.x] Support Forum
Topic: Current version 3.0.11 / Latest version 44
Replies: 4
Views: 778

Re: Current version 3.0.11 / Latest version 44

Thank you, I ran the script, although I had guess from which directory. I placed the file test.php in my root directory, even though my forum is in a subdirectory.

The output of the test was

Code: Select all

string(68) "3.0.11 https://www.phpbb.com/community/viewtopic.php?f=14&t=2161321 "
by Dzien Dobry
Fri Jun 07, 2013 4:24 pm
Forum: [3.0.x] Support Forum
Topic: Current version 3.0.11 / Latest version 44
Replies: 4
Views: 778

Current version 3.0.11 / Latest version 44

I updated my forum successfully many months ago but I just now noticed an unusual error message:

Your phpBB installation is not up to date.
Current version 3.0.11
Latest version 44
The latest version is still 3.0.11, right?
by Dzien Dobry
Tue Mar 12, 2013 11:32 pm
Forum: [3.0.x] Support Forum
Topic: Error Messages since Activating PHP 5.4
Replies: 16
Views: 1938

Re: Error Messages since Activating PHP 5.4

rxu wrote:Weird. That sounds like error_reporting() function is not effective.
So will this error corrupt my database or something? If there is no easy fix right now, why couldn't I just wait for the next version of phpBB that will be compatible with PHP 5.4?
by Dzien Dobry
Sun Mar 10, 2013 2:32 pm
Forum: [3.0.x] Support Forum
Topic: Error Messages since Activating PHP 5.4
Replies: 16
Views: 1938

Re: Error Messages since Activating PHP 5.4

rxu wrote: Is anything listed in disable_functions PHP directive (see the values in the directives list of ACP/PHP information)?
For "Directive", "disable_functions", the table lists "no value" under "Local Value" and "no value" under "Master Value".
by Dzien Dobry
Sun Mar 10, 2013 1:41 pm
Forum: [3.0.x] Support Forum
Topic: Error Messages since Activating PHP 5.4
Replies: 16
Views: 1938

Re: Error Messages since Activating PHP 5.4

Try both ways please :) OK, first I removed the two characters and then tested the result. Then I removed the code if (version_compare(PHP_VERSION, '5.4.0-dev', '>=')) { and the closing brace after $level &= ~E_STRICT; and then tested that. Then I replaced $level = E_ALL & ~E_NOTICE & ~E_DEPRECATED...
by Dzien Dobry
Sun Mar 10, 2013 4:22 am
Forum: [3.0.x] Support Forum
Topic: Error Messages since Activating PHP 5.4
Replies: 16
Views: 1938

Re: Error Messages since Activating PHP 5.4

For testing purposes, try to remove the wrapping condition: if (version_compare(PHP_VERSION, '5.4.0-dev', '>=')) { Are you asking me to delete all the code you listed there? Or do you just want me to remove these two characters: .0 And for the record: if (version_compare(PHP_VERSION, '5.4.0-dev', '...
by Dzien Dobry
Sun Mar 10, 2013 4:16 am
Forum: [3.0.x] Support Forum
Topic: Error Messages since Activating PHP 5.4
Replies: 16
Views: 1938

Re: Error Messages since Activating PHP 5.4

rxu wrote:Your code looks like 3.0.11.
What is exact version of PHP reported in ACP/PHP information?
PHP Version 5.4.10
by Dzien Dobry
Sun Mar 10, 2013 4:13 am
Forum: [3.0.x] Support Forum
Topic: Error Messages since Activating PHP 5.4
Replies: 16
Views: 1938

Re: Error Messages since Activating PHP 5.4

How did you update to 3.0.11 and were there any problems? I've always updated "manually" using the "changed files only." I was always successful doing it that way except last time. I don't recall the problem I had but I came here for help and was told that there was a file that wasn't updated corre...
by Dzien Dobry
Sun Mar 10, 2013 1:38 am
Forum: [3.0.x] Support Forum
Topic: Error Messages since Activating PHP 5.4
Replies: 16
Views: 1938

Re: Error Messages since Activating PHP 5.4

Thus instead of error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED); I have $level = E_ALL & ~E_NOTICE & ~E_DEPRECATED; So my guess is that I am to amend the latter code, not to error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED & ~E_STRICT); but to $level = E_ALL & ~E_NOTICE & ~E_DEPRECATED & ~E_STRI...
by Dzien Dobry
Sun Mar 10, 2013 12:39 am
Forum: [3.0.x] Support Forum
Topic: Error Messages since Activating PHP 5.4
Replies: 16
Views: 1938

Re: Error Messages since Activating PHP 5.4

Oyabun1 wrote:Or just update your board to 3.0.11 and it will be taken care of for you.
I updated my board to 3.0.11 long before my current problem. Granted, I'm not 100% sure that every file got updated correctly.

Go to advanced search